
#include <msp430.h>
#include <stdint.h>
#include "osc.h"
#include "usi_i2c.h"

void init(void);
void process(void);
volatile uint16_t run;


volatile uint16_t interrupt_count;
uint16_t get_interrupt_count(void)
{
  return interrupt_count;
}

void clr_interrupt_count(void)
{
  interrupt_count = 0;
}





int main( void )
{
  // Stop watchdog timer to prevent time out reset
  WDTCTL = WDTPW + WDTHOLD;

  P6DIR |= 0xC0;
  P6SEL &= 0x3F;
  P7DIR |= 0x0F;
  P7SEL &= 0xF0;

  //P6
  init();
  run = 1;

  while(run) // Super loop
  {

    P4OUT |= 0x02;
    P4OUT |= 0x06;
    P4OUT &= 0xFD;
    P4OUT &= 0xF9;

    //P6OUT |= 0xC0;
    //P6OUT &= 0x3F;
    //P7OUT |= 0x0F;
    //P7OUT &= 0xF0;

    //process();
  }

  return 0; // should never get here

}


volatile uint16_t loop_count;

void clear_loop_count(void)
{
  loop_count = 0;
}

void init(void)
{
  loop_count = 0;
  clr_interrupt_count();
  CLK_Init();
  i2c_init();
}

#if 0
void process(void)
{


#if 0
    if (loop_count > 100) speed_10K();
    else if (loop_count > 100) speed_10K();
    else if (loop_count > 10) speed_32K();
    else if (loop_count > 2) speed_32K();
    loop_count++;
#endif
}
#endif


